GUIX(1)

NAME
guix - manual page for guix pull (GNU Guix) 1.0.0

SYNOPSIS
guix pull [OPTION]...

DESCRIPTION
Download and deploy the latest version of Guix.

--verbose
    produce verbose output

-C, --channels=FILE
    deploy the channels defined in FILE

--url=URL
    download from the Git repository at URL

--commit=COMMIT
    download the specified COMMIT

--branch=BRANCH
    download the tip of the specified BRANCH

-N, --news
    display news compared to the previous generation

-l, --list-generations[=PATTERN]
    list generations matching PATTERN

-p, --profile=PROFILE
    use PROFILE instead of ~/.config/guix/current

-v, --verbosity=LEVEL
    use the given verbosity LEVEL

-s, --system=SYSTEM
    attempt to build for SYSTEM--e.g., "i686-linux"

--bootstrap
    use the bootstrap Guile to build the new Guix

-L, --load-path=DIR
    prepend DIR to the package module search path

-K, --keep-failed
    keep build tree of failed builds

-k, --keep-going
    keep going when some of the derivations fail

-n, --dry-run
    do not build the derivations

--fallback
    fall back to building when the substituter fails

--no-substitutes
    build instead of resorting to pre-built substitutes

--substitute-urls=URLS
    fetch substitute from URLS if they are authorized

--no-grafts
    do not graft packages

--no-build-hook
    do not attempt to offload builds via the build hook

--max-silent-time=SECONDS
    mark the build as failed after SECONDS of silence

--timeout=SECONDS
    mark the build as failed after SECONDS of activity

--rounds=N
    build N times in a row to detect non-determinism

-c, --cores=N
    allow the use of up to N CPU cores for the build

-M, --max-jobs=N
    allow at most N build jobs

--debug=LEVEL
    produce debugging output at LEVEL

-h, --help
    display this help and exit

-V, --version
    display version information and exit

REPORTING BUGS
Report bugs to: bug-guix@gnu.org.
GNU Guix home page: <https://www.gnu.org/software/guix/>
General help using GNU software: <http://www.gnu.org/gethelp/>

COPYRIGHT
Copyright © 2019 the Guix authors License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
The full documentation for guix is maintained as a Texinfo manual. If the info and guix programs are properly installed at your site, the command

    info guix

should give you access to the complete manual.